*** third_party/WebKit/Source/core/dom/Node.cpp.orig	Mon Feb  3 15:19:16 2014
--- third_party/WebKit/Source/core/dom/Node.cpp	Mon Feb 24 20:03:13 2014
***************
*** 120,125 ****
--- 120,130 ----
      return DOMImplementation::hasFeature(feature, version);
  }
  
+ bool Node::hasTagName(const QualifiedName& name) const
+ {
+     return isElementNode() && toElement(this)->hasTagName(name);
+ }
+ 
  #if DUMP_NODE_STATISTICS
  static HashSet<Node*> liveNodeSet;
  #endif
*** third_party/WebKit/Source/core/dom/Element.h.orig	Mon Feb  3 15:19:16 2014
--- third_party/WebKit/Source/core/dom/Element.h	Mon Feb 24 20:03:15 2014
***************
*** 664,673 ****
--- 664,676 ----
      return node->isElementNode() && toElement(node)->isDisabledFormControl();
  }
  
+ /* This was inline, but being inline causes trouble with a debug build.
+ 
  inline bool Node::hasTagName(const QualifiedName& name) const
  {
      return isElementNode() && toElement(this)->hasTagName(name);
  }
+ */
  
  inline Element* Node::parentElement() const
  {
